﻿using UnityEngine;
using System.Collections;

public class BloodDroplet : MonoBehaviour 
{
    private bool eraseActivate = false;
	// Use this for initialization
	void Start () 
    {
        StartCoroutine(BloodErase());
	}

    IEnumerator BloodErase()
    {
        yield return new WaitForSeconds(5.0f);
        eraseActivate = true;
    }

    void OnCollisionEnter2D(Collision2D col)
    {
        if (col.gameObject.layer == LayerMask.NameToLayer("Ground"))
            this.GetComponent<Rigidbody2D>().isKinematic = true;

        else if (col.gameObject.layer == LayerMask.NameToLayer("Blood") && eraseActivate && col.gameObject.GetComponent<Rigidbody2D>().isKinematic == false)
            Destroy(this.gameObject);
    }

	// Update is called once per frame
	void Update () 
    {
	
	}
}
