﻿using UnityEngine;
using System.Collections;

public class SprayBlood : MonoBehaviour 
{

    private Vector3 prevPosition;
    public GameObject bloodThrower;
    private bool bloodSprayed = false;

    float timeSpawned = 0.0f;
	// Use this for initialization
	void Start () 
    {
        timeSpawned = Time.time;
	}

    void OnCollisionEnter2D(Collision2D col)
    {
        if (col.gameObject.layer == LayerMask.NameToLayer("Ground"))
        {
            Debug.Log("Time to bleed");

            bloodSprayed = true;
            GameObject blood = Instantiate(bloodThrower, this.transform.position, Quaternion.identity) as GameObject;

            blood.GetComponent<BloodThrower>().spread = 10.0f;
            blood.GetComponent<BloodThrower>().bloodDir = (this.transform.position - prevPosition).normalized;
            blood.GetComponent<BloodThrower>().particleNumber = 20;
            blood.GetComponent<BloodThrower>().ejaculationPerSec = 0.1f;
            blood.transform.parent = this.transform;
                
        }
    }
	
	// Update is called once per frame
	void Update () 
    {
        if ( !bloodSprayed )
            prevPosition = this.transform.position;

        //if (Time.time - timeSpawned > 3.0f)
        //    bloodThrower.SetActive(false);

	}
}
