﻿using UnityEngine;
using System.Collections;

public class BloodThrower : MonoBehaviour 
{
    public Vector3 bloodDir;
    public GameObject bloodPrefab;
    public float spread;
    public int particleNumber;
    public float ejaculationPerSec; //Lolz
    float timeCreated = 0.0f;
    
	// Use this for initialization
	void Start () 
    {
        StartCoroutine(StartEjaculation(bloodDir, spread));
        timeCreated = Time.time;
    }

    IEnumerator StartEjaculation ( Vector3 direction, float spread) //Lulz
    {

        while (particleNumber > 0)
        {

            yield return new WaitForSeconds(ejaculationPerSec);
            
            --particleNumber;

            //Convert erection to polar
            float radius = Mathf.Sqrt(direction.x * direction.x + direction.y * direction.y);
            float angle = Mathf.Rad2Deg * Mathf.Atan2(direction.y, direction.x);
            float newAngle = angle + Random.RandomRange(-spread, spread);

            if (newAngle < 0)
                newAngle += 360.0f;

            bloodDir = new Vector3 ( Mathf.Rad2Deg * Mathf.Cos(Mathf.Deg2Rad * newAngle), Mathf.Rad2Deg * Mathf.Sin(Mathf.Deg2Rad * newAngle ));

            GameObject temp = Instantiate(bloodPrefab, this.transform.parent.position, Quaternion.identity) as GameObject;
            temp.GetComponent<Rigidbody2D>().AddForce(bloodDir * 10.0f);

        }
    }
	
	// Update is called once per frame
	void Update () 
    {

	}
}
