﻿using UnityEngine;
using System.Collections;

public class DisableMove : MonoBehaviour 
{
    private Vector3 prevPosition;
    private bool stopMove = false;
    Rigidbody2D[] rigidArr;
	// Use this for initialization
	void Start () 
    {
        prevPosition = this.transform.position;
        rigidArr = this.transform.GetComponentsInChildren<Rigidbody2D>();
        StartCoroutine(StopMove());

   
	}

    IEnumerator StopMove()
    {
        while (true)
        {
            
            yield return new WaitForSeconds(1.0f);
            prevPosition = this.transform.position;

            Debug.Log((prevPosition - this.transform.position).magnitude);

            if ((prevPosition - this.transform.position).magnitude < 1.0f)
            {
                stopMove = true;
            }

        }

    }
    
	// Update is called once per frame
	void Update () 
    {
        if (stopMove)
        {
           

            for (int i = 0; i < rigidArr.Length; ++i)
            {
                rigidArr[i].velocity = Vector3.zero;
                rigidArr[i].angularVelocity = 0.0f;
            }
        }
	}
}
