﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class CheckCollision : MonoBehaviour {

    public float deathSpeed = 5.0f;
    private Vector2 curSpeed = new Vector2(0,0);
    
	// Use this for initialization
	void Start () 
    {

     
	}


	// Update is called once per frame
	void FixedUpdate () 
    {
        curSpeed.x = this.GetComponentInParent<CharacterController2D>().velocity.x;

        this.transform.parent.GetComponent<BoxCollider2D>().enabled = false;
        
        Vector2 directionX = new Vector2 (this.transform.parent.GetComponent<CharacterController2D>().velocity.x, 0.0f).normalized;
        Vector2 directionY = new Vector2 (0f, -1f).normalized;
        
        RaycastHit2D raycastHit = Physics2D.Raycast(this.transform.parent.position, directionX, 1.1f);

        if (raycastHit || Physics2D.Raycast(this.transform.parent.position, directionX, 1.1f))
        {
            if (raycastHit.transform.name == "SpikeTile")
            {
                GameObject temp = UnityEngine.Object.Instantiate(Resources.Load("CatTest"), new Vector3(raycastHit.transform.position.x, raycastHit.transform.position.y + 1.0f, 0), Quaternion.identity) as GameObject;

                List<Rigidbody2D> tempList = new List<Rigidbody2D>(temp.GetComponentsInChildren<Rigidbody2D>());
                for (int i = 0; i < 2; i++)
                {
                    tempList[i].rigidbody2D.isKinematic = true;
                }
                Debug.Log("destroy spike");
                Destroy(this.transform.parent.gameObject);
                return;
            }
            else
            {
                if (curSpeed.x > deathSpeed && raycastHit.transform.gameObject.layer == LayerMask.NameToLayer("Ground"))
                {
                    //GetComponentInParent<CharacterController2D>().enabled = false;

                    GameObject temp = UnityEngine.Object.Instantiate(Resources.Load("CatTest"), transform.parent.position, Quaternion.identity) as GameObject;
                    Debug.Log("destroy ram");
                    Destroy(this.transform.parent.gameObject);
                    
                }
                
            }
        }
        this.transform.parent.GetComponent<BoxCollider2D>().enabled = true;

   /*
        


        //raycastHit = Physics2D.Raycast(this.transform.parent.position, directionY, 0.01f);
        //Debug.Log(this.GetComponentInParent<CharacterController2D>().velocity.y);
        //if (raycastHit && this.GetComponentInParent<CharacterController2D>().velocity.y > 5f)
        //{
        //    if (!raycastHit.transform.name.Contains("Cat"))
        //    {
        //        GameObject temp = UnityEngine.Object.Instantiate(Resources.Load("CatTest"), transform.parent.position, Quaternion.identity) as GameObject;
        //        Camera.main.GetComponent<RagdollList>().AddRagdoll(temp);
        //    }
        //}
        this.transform.parent.GetComponent<BoxCollider2D>().enabled = true;
    * */
	}
}
