﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class CheckFallCollision : MonoBehaviour {

    public float killHeightDist = 6.0f;
    public float prevY;
	// Use this for initialization
	void Start () 
    {
	}

    //void OnCollisionEnter2D(Collision2D col)
    //{
    //    Debug.Log("COL");
    //    if (col.gameObject.layer == LayerMask.NameToLayer("Ground"))
    //    {
    //        if ((prevY - this.transform.position.y) > killHeightDist )
    //        {
    //            UnityEngine.Object.Instantiate(Resources.Load("CatTest"), transform.position, Quaternion.identity);
    //            return;
    //        }
    //    }
    //}

	// Update is called once per frame
	void FixedUpdate () 
    {
        this.transform.parent.GetComponent<BoxCollider2D>().enabled = false;
 
        Vector2 directionY = new Vector2(0f, -1f).normalized;

        RaycastHit2D raycastHit = Physics2D.Raycast(this.transform.parent.position, directionY, 1.6f);
        Debug.DrawRay(this.transform.parent.position, directionY * 1.6f);

        if (raycastHit)
        {
            if (raycastHit.transform.gameObject.layer == LayerMask.NameToLayer("Ground"))
            {
                if ((prevY - this.transform.position.y) > killHeightDist)
                {
                    prevY = this.transform.position.y;
                    GameObject temp = UnityEngine.Object.Instantiate(Resources.Load("CatTest"), new Vector3(transform.position.x, raycastHit.transform.position.y + 1.0f, 0), Quaternion.identity) as GameObject;
                    
                    Destroy(this.transform.parent.gameObject);
                    Debug.Log("destroy fall");
                    return;
                }
            }
            if (raycastHit.transform.tag == "SpikeTile")
            {
                Debug.Log("Kill thyself");
                GameObject temp = UnityEngine.Object.Instantiate(Resources.Load("CatTest"), new Vector3(raycastHit.transform.position.x, raycastHit.transform.position.y + 1.0f, 0), Quaternion.identity) as GameObject;

                List<Rigidbody2D> tempList = new List<Rigidbody2D>(temp.GetComponentsInChildren<Rigidbody2D>());
                for (int i = 0; i < 2; i++)
                {
                    tempList[i].rigidbody2D.isKinematic = true;
                }
                Debug.Log("destroy spike");
                Destroy(this.transform.parent.gameObject);
                return;
            }
        }
        else if (prevY < 0.1f)
            prevY = transform.position.y;

      this.transform.parent.GetComponent<BoxCollider2D>().enabled = true;
	}
}
